For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • GETGet Match
        • GETTest Match
        • GETGet Multi
        • GETGet Unique Values For Dimension
        • GETGet Rate History
        • POSTUpload a fee schedule (a collection of rates)
        • DELDelete a rate
        • GETGet Payer Thresholds Default
        • GETGet Payer Thresholds
        • PUTSet Payer Threshold
        • POSTHard delete rates
        • POSTHard delete rates by IDs
Contact Sales
LogoLogo
API ReferenceFee SchedulesV3

Upload a fee schedule (a collection of rates)

POST
/api/fee-schedules/v3
POST
/api/fee-schedules/v3
$curl -X POST https://api.joincandidhealth.com/api/fee-schedules/v3 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "dry_run": true,
> "rates": [
> {
> "type": "new_rate",
> "dimensions": {
> "payer_uuid": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
> "organization_billing_provider_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
> "states": [
> "AA"
> ],
> "zip_codes": [
> "zip_codes"
> ],
> "license_types": [
> "MD"
> ],
> "facility_type_codes": [
> "01"
> ],
> "network_types": [
> "12"
> ],
> "payer_plan_group_ids": [
> "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
> ],
> "cpt_code": "cpt_code",
> "modifiers": [
> "AV"
> ]
> },
> "entries": [
> {
> "start_date": "2023-01-15",
> "rate_cents": 1,
> "is_deactivated": true
> },
> {
> "start_date": "2023-01-15",
> "rate_cents": 1,
> "is_deactivated": true
> }
> ]
> },
> {
> "type": "new_rate",
> "dimensions": {
> "payer_uuid": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
> "organization_billing_provider_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
> "states": [
> "AA"
> ],
> "zip_codes": [
> "zip_codes"
> ],
> "license_types": [
> "MD"
> ],
> "facility_type_codes": [
> "01"
> ],
> "network_types": [
> "12"
> ],
> "payer_plan_group_ids": [
> "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
> ],
> "cpt_code": "cpt_code",
> "modifiers": [
> "AV"
> ]
> },
> "entries": [
> {
> "start_date": "2023-01-15",
> "rate_cents": 1,
> "is_deactivated": true
> },
> {
> "start_date": "2023-01-15",
> "rate_cents": 1,
> "is_deactivated": true
> }
> ]
> }
> ]
>}'
1[
2 {
3 "rate_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
4 "dimensions": {
5 "payer_uuid": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
6 "organization_billing_provider_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
7 "states": [
8 "AA"
9 ],
10 "zip_codes": [
11 "zip_codes"
12 ],
13 "license_types": [
14 "MD"
15 ],
16 "facility_type_codes": [
17 "01"
18 ],
19 "network_types": [
20 "12"
21 ],
22 "payer_plan_group_ids": [
23 "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
24 ],
25 "cpt_code": "cpt_code",
26 "modifiers": [
27 "AV"
28 ]
29 },
30 "version": 1,
31 "updated_at": "2023-01-15",
32 "updated_by": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
33 "entries": [
34 {
35 "start_date": "2023-01-15",
36 "rate_cents": 1,
37 "is_deactivated": true,
38 "end_date": "2023-01-15"
39 },
40 {
41 "start_date": "2023-01-15",
42 "rate_cents": 1,
43 "is_deactivated": true,
44 "end_date": "2023-01-15"
45 }
46 ]
47 },
48 {
49 "rate_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
50 "dimensions": {
51 "payer_uuid": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
52 "organization_billing_provider_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
53 "states": [
54 "AA"
55 ],
56 "zip_codes": [
57 "zip_codes"
58 ],
59 "license_types": [
60 "MD"
61 ],
62 "facility_type_codes": [
63 "01"
64 ],
65 "network_types": [
66 "12"
67 ],
68 "payer_plan_group_ids": [
69 "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
70 ],
71 "cpt_code": "cpt_code",
72 "modifiers": [
73 "AV"
74 ]
75 },
76 "version": 1,
77 "updated_at": "2023-01-15",
78 "updated_by": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
79 "entries": [
80 {
81 "start_date": "2023-01-15",
82 "rate_cents": 1,
83 "is_deactivated": true,
84 "end_date": "2023-01-15"
85 },
86 {
87 "start_date": "2023-01-15",
88 "rate_cents": 1,
89 "is_deactivated": true,
90 "end_date": "2023-01-15"
91 }
92 ]
93 }
94]
Uploads a new fee schedule. Each rate may either be totally new as qualified by it's dimensions or a new version for an existing rate. If adding a new version to an existing rate, the rate must be posted with the next version number (previous version + 1) or a EntityConflictError will be returned. Use the dry run flag to discover already existing rates and to run validations. If validations for any rate fail, no rates will be saved to the system.
Was this page helpful?
Previous

Delete a rate

Next
Built with

Uploads a new fee schedule.

Each rate may either be totally new as qualified by it’s dimensions or a new version for an existing rate.

If adding a new version to an existing rate, the rate must be posted with the next version number (previous version + 1) or a EntityConflictError will be returned.

Use the dry run flag to discover already existing rates and to run validations. If validations for any rate fail, no rates will be saved to the system.

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Request

This endpoint expects an object.
dry_runbooleanRequired
rateslist of objectsRequired

Response

This endpoint returns a list of objects.
rate_idUUID
dimensionsobject
The dimension values that distinguish this rate from others.
versioninteger
The version of this rate in the system.
updated_atdate
updated_byUUID
entrieslist of objects

Errors

422
Fee Schedule Validation HTTP Error